MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::Backtrack Class Reference
Inheritance diagram for sc::Backtrack:
[legend]
Collaboration diagram for sc::Backtrack:
[legend]

## Public Member Functions
| Backtrack (const Ref< KeyVal > &)
int | update ()
| Take a step. More...
Public Member Functions inherited from sc::LineOpt
| LineOpt (StateIn &)
| LineOpt (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual void | init (RefSCVector &direction)
| Initializes the line search object. More...
virtual void | init (RefSCVector &direction, Ref< Function > function)
| Initializes the line search object. More...
void | apply_transform (const Ref< NonlinearTransform > &)
| Applies a nonlinear transform.
double | decrease_factor ()
| Returns factor for sufficient decrease test.
double | set_decrease_factor (double factor)
| Sets factor for sufficient decrease test.
Public Member Functions inherited from sc::Optimize
| Optimize (StateIn &)
| Restore the state of a Function object.
| Optimize (const Ref< KeyVal > &)
| The KeyVal constructor reads the following information: More...
virtual int | optimize ()
| Do the optimization. More...
void | set_checkpoint ()
| Set up for checkpointing.
void | set_checkpoint_file (const char *)
void | set_function (const Ref< Function > &)
| Set the function to be optimized.
void | set_max_iterations (int)
| Set the iteration limit.
virtual void | init ()
| Initialize the optimizer.
Ref< Function > | function () const
| Returns information about the Function being optimized.
Ref< SCMatrixKit > | matrixkit () const
RefSCDimension | dimension () const
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes
double | backtrack_factor_
Protected Attributes inherited from sc::LineOpt
double | decrease_factor_
RefSCVector | initial_x_
double | initial_value_
RefSCVector | initial_grad_
RefSCVector | search_direction_
Ref< Function > | function_
Protected Attributes inherited from sc::Optimize
int | max_iterations_
int | n_iterations_
int | ckpt_
int | print_timings_
double | max_stepsize_
char * | ckpt_file
Ref< Function > | function_
Ref< Convergence > | conv_

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Member Functions inherited from sc::LineOpt
int | sufficient_decrease (RefSCVector &step)

## Member Function Documentation

int sc::Backtrack::update | ( |  | ) |
| virtual

Take a step.

Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

The documentation for this class was generated from the following file:

- opt.h